Skip to main content
`Ctrl`+`K`

# SNESGetSolution

Returns the vector where the approximate solution is stored. This is the fine grid solution when using `SNESSetGridSequence()`.

## Synopsis

    #include "petscsnes.h"
    #include "petscsnes.h"
    PetscErrorCode SNESGetSolution(SNES snes, Vec *x)

Not Collective, but `x` is parallel if `snes` is parallel

## Input Parameter

- snes - the `SNES` context

## Output Parameter

- x - the solution

## See Also

SNES: Nonlinear Solvers, `SNESSetSolution()`, `SNESSolve()`, `SNES`, `SNESGetSolutionUpdate()`, `SNESGetFunction()`

## Level

intermediate

## Location

src/snes/interface/snes.c

## Examples

src/snes/tutorials/ex12.c
src/snes/tutorials/ex22.c
src/snes/tutorials/ex23.c
src/snes/tutorials/ex13.c
src/snes/tutorials/ex16.c
src/snes/tutorials/ex2.c
src/snes/tutorials/ex17.c
src/snes/tutorials/ex21.c
src/snes/tutorials/ex20.c
src/snes/tutorials/ex9.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages